@{
    ViewData["Title"] = "Input Rencana Pendapatan";
}
<section class="section">
    <div class="section-header">
        <h1>Input Rencana Pendapatan</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item active"><a asp-controller="Home" asp-action="Index">Keuangan</a></div>
            <div class="breadcrumb-item"><a asp-controller="Keuangan" asp-action="InputRencanaPendapatan">Input Rencana Pendapatan</a></div>
        </div>
    </div>

    <div class="section-body">

        <div class="card" style="margin-bottom:10px;">
            <div class="card-header form-row">
                <h4 class="col-md-4">Input Rencana Pendapatan</h4>
                <div class="col-md-8 text-right">
                    <form class="form-inline" id="FormAksi">
                        <div class="form-group">
                            <select class="form-control" name="Tipe">
                                <option value="">- Pilih Aksi -</option>
                                <option value="1">Inisialisasi Data</option>
                                @* <option value="2">Download Template Rencana Pendapatan</option> *@
                                <option value="3">Lihat Data</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <select class="form-control" name="IdTahunAjaran">
                            </select>
                        </div>
                        <div class="form-group">
                            <button type="button" id="BtnAksi" class="btn btn-success"><i class="fa fa-search"></i> Cari Data</button>
                        </div>
                    </form>
                </div>
            </div>
            <div class="card-body" id="MainTableEmpty">
                <center>
                    <img src="~/assets/img/list.png" width="400px" class="img-fluid">
                </center>
            </div>
            <div class="card-body" id="MainTable" style="display:none">
                <div class="table-responsive">
                    <table id="TabelRenpen" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Nama Unit</th>
                                <th>TahunAjaran</th>
                                <th>Rupiah</th>
                                <th>Status</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Nama Unit</th>
                                <th>TahunAjaran</th>
                                <th>Rupiah</th>
                                <th>Status</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

        <!--- SECTION TABEL DATA COA -->
        <div class="card" style="margin-bottom:10px;display:none;" id="DivSectionAkun">
            <div class="card-body form-row">
                <div class="col-md-8">
                    <div class="table-responsive mt-3">
                        <table id="TabelRenpenCoa" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Kode</th>
                                    <th>Nama Akun</th>
                                    <th>Total Rp</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Kode</th>
                                    <th>Nama Akun</th>
                                    <th>Total Rp</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
                <div class="col-md-4">

                </div>
            </div>
        </div>
        <!--- END SECTION TABEL DATA COA -->
    </div>
</section>

<!--- SECTION FORM DATA SETUJUI -->
<div class="modal fade" id="ModalFormSetujui" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormSetujui"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormSetujui" action="#" method="POST">
                    <input type="hidden" class="form-control" name="IdUnitRenPen" placeholder="IdUnitRenPen" readonly />
                    <div class="form-row mt-3" id="DivSetujui">
                        <div class="col-md-12">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Unit</label>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="Unit" placeholder="Ketikkan Unit" readonly />
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Status Proses</label>
                                <div class="col-md-8">
                                    <input type="radio" name="StatusProses" value="1" placeholder="Ketikkan Status Proses" /> Setujui &nbsp;&nbsp;
                                    <input type="radio" name="StatusProses" value="99" placeholder="Ketikkan Status Proses" /> Tolak
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Catatan</label>
                                <div class="col-md-8">
                                    <textarea class="form-control" name="Catatan" placeholder="Ketikkan Catatan" style="height:100px;"></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="offset-md-2 col-md-8 text-center">
                            <button type="reset" class="btn btn-danger text-center"><i class="fa fa-times"></i> Batal</button>
                            <button type="button" class="btn btn-success text-center" id="BtnSetujui"><i class="fa fa-save"></i> Kirim</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<!--- END SECTION FORM DATA SETUJUI -->
<!--- SECTION FORM Input Rencana Pendapatan -->
<div class="modal fade" id="ModalFormData" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormData"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormData" action="#" method="POST">
                    <input type="hidden" class="form-control" name="IdUnitRenPen" placeholder="IdUnitRenPen" readonly />
                    <div class="form-row mt-3">
                        <div class="col-md-12">
                            <div id="TambahEditData" style="display:none">
                                <div class="form-group form-row">
                                    <label class="col-md-3 col-form-label font-weight-bold text-right">Nomor</label>
                                    <input type="text" class="col-md-8 form-control" name="Nomor" placeholder="Ketikkan Nomor RKAS" />
                                </div>
                            </div>
                            <div id="UploadData" style="display:none">
                                <div class="form-group form-row">
                                    <label class="col-md-3 col-form-label font-weight-bold text-right">Upload File</label>
                                    <input type="file" class="col-md-8 form-control" name="FileExcel" placeholder="Pilih File" />
                                </div>
                            </div>
                        </div>
                        <div class="offset-md-2 col-md-8 text-center">
                            <button type="reset" class="btn btn-danger text-center"><i class="fa fa-times"></i> Batal</button>
                            <button type="button" class="btn btn-success text-center" id="BtnSaveData" onclick="SaveData();"><i class="fa fa-save"></i> Simpan Data</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<!--- END SECTION FORM Input Rencana Pendapatan -->
<!--- SECTION FORM DATA COA -->
<div class="modal fade" id="ModalFormRenpenCoa" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormRenpenCoa"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormRenpenCoa" action="#" method="POST">
                    <input type="hidden" class="form-control" name="IdUnitRenPen" placeholder="IdUnitRenPen" readonly />
                    <div class="form-row mt-3" id="DivRenpenCoa">
                        <div class="col-md-12">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Kode COA</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdCoa" style="width:100%;"></select>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Rupiah</label>
                                <input type="text" class="col-md-8 form-control" name="Rp" placeholder="Ketikkan Rupiah Rencana Pendapatan" />
                            </div>
                        </div>
                        <div class="offset-md-2 col-md-8 text-center">
                            <button type="reset" class="btn btn-danger text-center"><i class="fa fa-times"></i> Batal</button>
                            <button type="button" class="btn btn-success text-center" id="BtnSaveRenpenCoa"><i class="fa fa-save"></i> Simpan Data</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<!--- END SECTION FORM DATA COA -->